msgpack::detail::unpack_stack Class Reference

`#include <unpack.hpp>`

## Public Member Functions

msgpack::object const & | obj () const
msgpack::object & | obj ()
void | set_obj (msgpack::object const &obj)
std::size_t | count () const
void | set_count (std::size_t count)
std::size_t | decr_count ()
uint32_t | container_type () const
void | set_container_type (uint32_t container_type)
msgpack::object const & | map_key () const
void | set_map_key (msgpack::object const &map_key)

## Member Function Documentation

## container_type()

uint32_t msgpack::detail::unpack_stack::container_type | ( |  | ) | const

inline

Referenced by msgpack::detail::context< unpacker >::user().

## count()

std::size_t msgpack::detail::unpack_stack::count | ( |  | ) | const

inline

## decr_count()

std::size_t msgpack::detail::unpack_stack::decr_count | ( |  | ) |

inline

Referenced by msgpack::detail::context< unpacker >::user().

## map_key()

msgpack::object const& msgpack::detail::unpack_stack::map_key | ( |  | ) | const

inline

Referenced by msgpack::detail::context< unpacker >::user().

## obj() [1/2]

msgpack::object const& msgpack::detail::unpack_stack::obj | ( |  | ) | const

inline

Referenced by msgpack::detail::context< unpacker >::user().

## obj() [2/2]

msgpack::object& msgpack::detail::unpack_stack::obj | ( |  | ) |

inline

## set_container_type()

void msgpack::detail::unpack_stack::set_container_type | ( | uint32_t | container_type | ) |

inline

Referenced by msgpack::detail::context< unpacker >::user().

## set_count()

void msgpack::detail::unpack_stack::set_count | ( | std::size_t | count | ) |

inline

## set_map_key()

void msgpack::detail::unpack_stack::set_map_key | ( | msgpack::object const & | map_key | ) |

inline

Referenced by msgpack::detail::context< unpacker >::user().

## set_obj()

void msgpack::detail::unpack_stack::set_obj | ( | msgpack::object const & | obj | ) |

inline

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/unpack.hpp